<?php

namespace Drupal\webt\Model;

/**
 * Translation response object.
 */
class TranslationResponse {
	/**
	 * Translation status.
	 *
	 * @var TranslationStatus
	 */
	public $status;
	/**
	 * String translations.
	 *
	 * @var string[]
	 */
	public $translations;

	/**
	 * Sets response translations and status
	 *
	 * @param string[]          $translations Translations.
	 * @param TranslationStatus $status Status.
	 */
	public function __construct( $translations, $status = TranslationStatus::FullResult ) {
		$this->translations = $translations;
		$this->status       = $status;
	}
}
